# SSH

## Install server

```sh
sudo apt install openssh-server
```

## Config server

```sh
sudoedit /etc/ssh/sshd_config
```

## Auto start ssh

```sh
sudo systemctl enable ssh
sudo systemctl start ssh
sudo service ssh restart
```

## Add key

```sh
ssh-copy-id -i ~/.ssh/id_rsa.pub 192.168.0.10
```
