# Steps to follow to install a new Jovian linux

## Core installation

Execute `deep-upgrade`, `basic-install` and `basic-custom` before any tweak.

## Tweaks

### Extra installation

Scripts are named `<component>-<task>` where `<component>` is the part to be tweaked and `<task>` the purpose of the script, which can be _install_ to install software of this part and _custom_ to configure them as Jovian does.

Installation must be made before customization.

### Fish prompt

Execute command `set fish_color_user yellow`.

Execute command `set fish_color_host blue|red|yellow|magenta` depending of the power regulation.

### Hostname

Change hostname with `sudoedit /etc/hostname`

### Ubuntu repository

You can use the `sources.list` in _Templates_ to set France OVH mirror.
